<?php

namespace App\Services\Interfaces;

use App\Models\VisitorMessage;
use Illuminate\Http\Request;

interface VisitorMessageRepositoryInterface
{
    public function get(Request $request);
    public function getItem(VisitorMessage $visitorMessage);
    public function save(Request $request, ?VisitorMessage $visitorMessage): VisitorMessage;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
